summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Solano Gómez <gentoo@sattvik.com>2020-05-09 10:06:55 -0500
committerDaniel Solano Gómez <gentoo@sattvik.com>2020-05-09 10:06:55 -0500
commit1c7db69fa86c3134dfff4c1f6dffd3cb1d0c95bd (patch)
tree8f84ea38d9d3ca824eef26d43647e526b8436947
parentRemove obsolete packages (diff)
downloadsattvik-1c7db69fa86c3134dfff4c1f6dffd3cb1d0c95bd.tar.gz
sattvik-1c7db69fa86c3134dfff4c1f6dffd3cb1d0c95bd.tar.bz2
sattvik-1c7db69fa86c3134dfff4c1f6dffd3cb1d0c95bd.zip
Add fixed chirp
Signed-off-by: Daniel Solano <gentoo@sattvik.com>
-rw-r--r--net-wireless/chirp/Manifest3
-rw-r--r--net-wireless/chirp/chirp-20200430.ebuild54
-rw-r--r--net-wireless/chirp/metadata.xml15
3 files changed, 72 insertions, 0 deletions
diff --git a/net-wireless/chirp/Manifest b/net-wireless/chirp/Manifest
new file mode 100644
index 0000000..e86d13b
--- /dev/null
+++ b/net-wireless/chirp/Manifest
@@ -0,0 +1,3 @@
+DIST chirp-daily-20200430.tar.gz 896763 BLAKE2B a0f318499e76ff9c297c4eeff381650d98ea03d20a0d20d7751485376a9299ba0f59aa88340a0f23cdf4bc70f0038b5376c2c78beb3bc593a09f7a7af22b9021 SHA512 f7b0d6d23df2b85d714c2fabefcc32cf5f30ceb7daca6a5982d47962a1fe4d4b210729d0d78cef28af4f21fcfbc9e4d0e6585b5e841220e9f8b5a7fcad1dd2b0
+EBUILD chirp-20200430.ebuild 1181 BLAKE2B 977b60713c410e35882bcd889c85d1eb15cbb51d421210d9ebadaf638196b81f6eb3d7fb1c6c5df162de09a0289fca28e83909771816863e33072b5ea6e9ca03 SHA512 3273a1c1a9de00ff670436cf112e63c3cb4d5bf86eaf2ef0e413f8d2a18100125e3d6fbaeccb9ef6d35efc0de33e3a1f74a49b833dc87faf817b9ae0fe2b626d
+MISC metadata.xml 457 BLAKE2B 1f7caba85f5961ded80d4d421e260465f69de0549bf2f50186bbad8d75ff090e6b6bbf8e2a73b732b164f8210faec27051ae24e2fe677fc3a00c0960e7b39d38 SHA512 748db876146f4074e0ea1290e451f3f06531fc24ea823eff121dfa6ac58a95af0cd819ae0832417a74725a0ff61384c921906050128d144412c9f3b56edf8c67
diff --git a/net-wireless/chirp/chirp-20200430.ebuild b/net-wireless/chirp/chirp-20200430.ebuild
new file mode 100644
index 0000000..d521b5d
--- /dev/null
+++ b/net-wireless/chirp/chirp-20200430.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+
+if [[ ${PV} == "99999999" ]] ; then
+ SCM=mercurial
+ EHG_REPO_URI="http://d-rats.com/hg/chirp.hg"
+fi
+
+inherit distutils-r1 xdg-utils ${SCM}
+
+DESCRIPTION="Free open-source tool for programming your amateur radio"
+HOMEPAGE="http://chirp.danplanet.com"
+
+RESTRICT="test"
+if [[ ${PV} == "99999999" ]] ; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64 ~x86"
+ SRC_URI="http://trac.${PN}.danplanet.com/${PN}_daily/daily-${PV}/${PN}-daily-${PV}.tar.gz"
+ S="${WORKDIR}/${PN}-daily-${PV}"
+fi
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="radioreference"
+
+DEPEND="${PYTHON_DEPS}
+ dev-python/pyserial[${PYTHON_USEDEP}]
+ dev-libs/libxml2[python]
+ dev-libs/libxml2[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}
+ dev-python/pygtk[${PYTHON_USEDEP}]
+ radioreference? ( dev-python/suds[${PYTHON_USEDEP}] )"
+
+src_prepare() {
+ sed -i -e "/share\/doc\/chirp/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ pushd tests > /dev/null
+ "${PYTHON}" run_tests || die
+ popd > /dev/null
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+}
diff --git a/net-wireless/chirp/metadata.xml b/net-wireless/chirp/metadata.xml
new file mode 100644
index 0000000..7b8c670
--- /dev/null
+++ b/net-wireless/chirp/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+ <email>zerochaos@gentoo.org</email>
+ <name>Rick Farina</name>
+</maintainer>
+<maintainer type="project">
+ <email>radio@gentoo.org</email>
+ <name>Radio</name>
+</maintainer>
+<use>
+ <flag name="radioreference">support downloading data from radioreference.com (premium users only)</flag>
+</use>
+</pkgmetadata>